<?
  include_once(dirname(__FILE__) ."/include/main.php");
  $errors = array();

  // no user specified - redirect to user list page
  if(!getUser()) Helper::Redirect("users.php");

  // user is hidden - redirect to user list page
  if(!getUser()->Visible) Helper::Redirect("users.php");

  if($_POST["cancel"])
  {
    Helper::Redirect("index.php?". Helper::CreateQuerystring(getUser()));
  }

  if($_GET["action"] == "logout")
  {
    $location = "index.php?". Helper::CreateQuerystring(getUser());
    Helper::LogoutUser();
    Helper::Redirect($location);
  }

  if($_POST["login"])
  {
    $currentUserID = getUser()->ID;
    if(Helper::LoginUser(stripslashes($_POST["username"]), stripslashes($_POST["password"])))
    {
      if(getUser()->ID == $currentUserID) Helper::Redirect("index.php?". Helper::CreateQuerystring(getUser()));
    }
    $errors[] = __("INVALID_USERNAME_OR_PASSWORD");
  }

  if($_POST["forgotPassword"])
  {
    Helper::Redirect("send_new_password.php?". Helper::CreateQuerystring(getUser()));
  }
  
  
?>
<?php print '<?xml version="1.0" encoding="UTF-8"?>'; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<link rel="stylesheet" href="style.css" type="text/css" />
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
<title><?=(__("PAGE_TITLE") ." :: ". __("LOGIN"))?></title>
<link rel="icon" type="image/png" href="gfx/favicon.png" />
</head>

<body id="loginBody">
<div id="wrapper">
<? Helper::CreateTopbar() ?>
<div id="content">
<form class="wide" method="post" action="<?=$_SERVER["PHP_SELF"]?>?<?=Helper::CreateQuerystring(getUser())?>">

<h1><?=__("LOGIN")?></h1>

<? if($_GET["action"] == "newPasswordSent") print '<p>'. sprintf(__("NEW_PASSWORD_SENT"), getUser()->Email) .'</p>'; ?>

<? if(count($errors) > 0) { ?>
<ul class="error">
<?
  foreach($errors as $e)
  {
    print "<li>$e</li>";
  }
?>
</ul>
<? } ?>

<div class="container">
<label for="username"><?=__("USERNAME")?></label>
<input type="text" class="text" name="username" id="username" value="" />
</div>

<div class="container">
<label for="password"><?=__("PASSWORD")?></label>
<input type="password" class="password" name="password" id="password" value="" />
</div>

<div class="buttons">
<input type="submit" class="submit" name="login" value="<?=__("LOGIN")?>" />
<? if(getUser()->Email) { ?> <input type="submit" class="submit" name="forgotPassword" value="<?=__("FORGOT_PASSWORD")?>" /> <? } ?>
<input type="submit" class="submit" name="cancel" value="<?=__("CANCEL")?>" />
</div>

</form>
</div>
</div>
</body>
</html>