<?
  include_once(dirname(__FILE__) ."/include/main.php");
  $errors = array();

  // no user specified - redirect to user list page
  if(!getUser()) Helper::Redirect("users.php");

  // user is hidden - redirect to user list page
  if(!getUser()->Visible) Helper::Redirect("users.php");
  
  // no email address for user is not specified
  if(!getUser()->Email) Helper::Redirect("users.php");

  if($_POST["cancel"])
  {
    Helper::Redirect("login.php?". Helper::CreateQuerystring(getUser()));
  }

  if($_POST["send"])
  {
    $password = Helper::CreatePassword(6);
    $user = getUser();
    $user->Password = md5($password);
    $user->Save();
    
    $fromName = __("DOMA_ADMIN_EMAIL_NAME");
    $subject = __("NEW_PASSWORD_EMAIL_SUBJECT");
    $baseAddress = Helper::GetWebsiteUrl();
    $userAddress = Helper::GetWebsiteUrl() ."/?user=". $user->Username;
    $body = sprintf(__("NEW_PASSWORD_EMAIL_BODY"), $user->FirstName, $baseAddress, $userAddress, $user->Username, $password);  
    $emailSentSuccessfully = Helper::SendEmail($fromName, $user->Email, $subject, $body);
    
    if($emailSentSuccessfully) Helper::Redirect("login.php?". Helper::CreateQuerystring(getUser()) ."&action=newPasswordSent");
    
    $errors[] = __("EMAIL_ERROR");
  }

?>
<?php print '<?xml version="1.0" encoding="UTF-8"?>'; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<link rel="stylesheet" href="style.css" type="text/css" />
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
<title><?=(__("PAGE_TITLE") ." :: ". __("SEND_NEW_PASSWORD_TITLE"))?></title>
<link rel="icon" type="image/png" href="gfx/favicon.png" />
</head>

<body id="sendNewPasswordBody">
<div id="wrapper">
<? Helper::CreateTopbar() ?>
<div id="content">
<form class="wide" method="post" action="<?=$_SERVER["PHP_SELF"]?>?<?=Helper::CreateQuerystring(getUser())?>">

<h1><?=__("SEND_NEW_PASSWORD_TITLE")?></h1>

<? if(count($errors) > 0) { ?>
<ul class="error">
<?
  foreach($errors as $e)
  {
    print "<li>$e</li>";
  }
?>
</ul>
<? } ?>

<p><?=sprintf(__("SEND_NEW_PASSWORD_INFO"), getUser()->Email)?></p>

<div class="container">
<input type="submit" class="submit" name="send" value="<?=__("SEND_NEW_PASSWORD")?>" />
<input type="submit" class="submit" name="cancel" value="<?=__("CANCEL")?>" />
</div>

</form>
</div>
</div>
</body>
</html>